Bug 1121512 - Do not use v6nic.net for 43.0.0.0/8
Summary: Do not use v6nic.net for 43.0.0.0/8
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jwhois   
(Show other bugs)
Version: 20
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 06:25 UTC by Cong Ma
Modified: 2014-07-23 09:30 UTC (History)
3 users (show)

Fixed In Version: jwhois-4.0-34.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-23 09:30:43 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Use whois.apnic.net instead of the defunct whois.v6nic.net (546 bytes, patch)
2014-07-21 06:25 UTC, Cong Ma
no flags Details | Diff

Description Cong Ma 2014-07-21 06:25:30 UTC
Created attachment 919535 [details]
Use whois.apnic.net instead of the defunct whois.v6nic.net

Description of problem:

jwhois uses whois.v6nic.net for the 43.0.0.0/8 block, but this domain seems to have been taken over by a squatter.  Use APNIC instead.


Version-Release number of selected component (if applicable):

jwhois-4.0-33.fc20


How reproducible:

Always.


Steps to Reproduce:

1. jwhois 43.247.192.0
2. 
3. 


Actual results:

$ jwhois 43.247.192.0
[Querying whois.v6nic.net]
[whois.v6nic.net: Name or service not known]
[Unable to connect to remote host]


Expected results:

WHOIS query should have gone through.


Additional info:

Comment 1 Fedora Update System 2014-07-21 13:55:06 UTC
jwhois-4.0-34.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/jwhois-4.0-34.fc20

Comment 2 Vitezslav Crhonek 2014-07-21 14:08:34 UTC
Thanks for the bug report, should be fixed in jwhois-4.0-34.fc20.

Comment 3 Fedora Update System 2014-07-22 03:32:35 UTC
Package jwhois-4.0-34.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jwhois-4.0-34.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8612/jwhois-4.0-34.fc20
then log in and leave karma (feedback).

Comment 4 lnie 2014-07-22 04:02:00 UTC
jwhois-4.0-34.fc20 works

Comment 5 Cong Ma 2014-07-22 12:59:11 UTC
Thanks for the fix; jwhois works fine now.

Comment 6 Fedora Update System 2014-07-23 09:30:43 UTC
jwhois-4.0-34.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.